#!/bin/bash
# -------------------------------------------------------------------------- #
#
# Copyright (C) 2014                                                        
# ASTRON (Netherlands Institute for Radio Astronomy) <http://www.astron.nl/>
# JIVE (Joint Institute for VLBI in Europe) <http://www.jive.nl/>           
# P.O.Box 2, 7990 AA Dwingeloo, The Netherlands                             
#                                                                           
# This program is free software: you can redistribute it and/or modify      
# it under the terms of the GNU General Public License as published by      
# the Free Software Foundation, either version 3 of the License, or         
# (at your option) any later version.                                       
#                                                                           
# This program is distributed in the hope that it will be useful,           
# but WITHOUT ANY WARRANTY; without even the implied warranty of            
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             
# GNU General Public License for more details.                              
#                                                                           
# You should have received a copy of the GNU General Public License         
# along with this program.  If not, see <http://www.gnu.org/licenses/>.     
#
# -------------------------------------------------------------------------- #
#
# Purpose: Generate ddr3 memory model using the example design for uniphy IP with MegaWizard
# Description:
#   No need to create the memory model for other DDR3 sizes, because this memory model fits all ddr3_uphy. It
#   appears that:
#   - the example design for ip_stratixiv_ddr3_uphy_4g_800_slave.v creates the same memory model
#   - the example design for ip_stratixiv_ddr3_uphy_4g_1066_master.v creates the same memory model
#   The memory model files can be compiled by executing compile_ip.tcl in Modelsim.
# Usage:
#
#   ./generate_ip.sh
#
# Remarks:
# . This dedicated script is derived from the generic script $UNB/Firmware/software/build/unb_mgw
#

# Tool settings for selected target "unb1" with stratixiv
. ${RADIOHDL}/tools/quartus/set_quartus unb1

# The ip_stratixiv_ddr3_uphy_4g_800_master.v IP must have been generated

# Generate memory model using the example design for ip_stratixiv_ddr3_uphy_4g_800_master.v.

cd ../ddr3_uphy_4g_800_master/generated/ip_stratixiv_ddr3_uphy_4g_800_master_example_design/simulation
quartus_sh -t generate_sim_vhdl_example_design.tcl

